(function($){

    /**
     * Class to with lightbox enabler.
     *
     * @class Lightbox
     */
    var Lightbox = {

        /**
         * Initializes Lightbox.
         *
         * @since 1.0
         * @method init
         */
        init: function()
        {
            // Lightbox  (magnific won't be loaded if lightbox is not enabled on the theme, so we won't load)
            if(typeof $('body').magnificPopup != 'undefined') {
                this._enableLightbox();
            }
        },


        /**
         * Enables the lightbox.
         *
         * @access private
         * @method _enableLightbox
         */
        _enableLightbox: function()
        {
            var body = $('body');

            if( body.hasClass('fl-builder') ) {

                $('.fl-module-rich-text a' ).filter(function() {
                    return /\.(png|jpg|jpeg|gif)(\?.*)?$/i.test(this.href);
                }).magnificPopup({
                    closeBtnInside: false,
                    type: 'image',
                    gallery: {
                        enabled: true
                    }
                });

            }

        }
    };

    $(function(){
        Lightbox.init();
    });

})(jQuery);
